People & profiles

Get Hris People

Lists every employee-seat person in the org with employment, contractor, invite-hold and pending-termination details.

GEThttps://api.toku.com/hris/get-hris-people

Required scope: people:read. It also needs identity:read.

curl --request GET \
  --url 'https://api.toku.com/hris/get-hris-people' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "id": "string",
    "fullName": "string",
    "email": "string",
    "type": "EMPLOYEE",
    "status": "string",
    "hasWelcomeEmailSent": true,
    "membershipConsentPending": true,
    "canResendOnboardingInvite": true,
    "inviteHoldReason": "MISSING_EMPLOYMENT_AGREEMENT",
    "inviteHoldMessage": "string",
    "title": "string",
    "department": "string",
    "location": "string",
    "employingEntity": "string",
    "stateOrCity": "string",
    "countryCode": "string",
    "startDate": "string",
    "endDate": "string",
    "workAuthorizationExpiryDate": "string",
    "hasPendingTermination": true,
    "hasScheduledTermination": true,
    "roleInOrg": {
      "roleInOrgID": "string",
      "personID": "string",
      "orgID": "string",
      "role": "string",
      "employmentType": "string",
      "status": "string",
      "lifecycleStatus": "string",
      "isTerminated": true,
      "workEmail": "string",
      "jobTitle": "string",
      "department": "string",
      "managerRoleInOrgID": "string",
      "countryCode": "string",
      "country": "string"
    },
    "employeeInfo": {
      "hrisEmployeeId": "string",
      "lilithEmployeeId": 0,
      "employmentServiceType": "string",
      "phoneNumber": "string",
      "managerName": "string",
      "managerEmail": "string",
      "jobDescription": "string"
    },
    "isPropTrader": true,
    "contractorInfo": {
      "hrisContractorId": "string",
      "lilithContractorEntityId": "string",
      "contractorType": "string",
      "entityName": "string",
      "entityType": "string",
      "taxFormType": "string",
      "invoiceFrequency": "string",
      "taxFormSubmitted": true
    },
    "employeeRecord": {
      "employeeID": 0,
      "title": "string",
      "startDate": "string",
      "status": "string",
      "employmentType": "string",
      "departmentName": "string",
      "countryName": "string",
      "city": "string",
      "state": "string",
      "contractorEntityID": "string"
    },
    "contractorRecord": {
      "contractorEntityID": "string",
      "name": "string",
      "countryName": "string"
    },
    "kotaBenefitsStatus": {
      "enrollmentStatus": "string",
      "offboardingStatus": "string",
      "hasKotaEmployeeID": true,
      "benefitsBannerDismissedAt": "string",
      "countryHasQuotaBenefits": true
    }
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Response

200Successful response
idstringrequired
fullNamestringrequired
emailstringrequired
typestringrequired

Available options: EMPLOYEE, CONTRACTOR, OTHER

statusstringrequired
hasWelcomeEmailSentbooleanrequired
membershipConsentPendingboolean
canResendOnboardingInvitebooleanrequired
inviteHoldReasonstring | nullrequired

Available options: MISSING_EMPLOYMENT_AGREEMENT, null

inviteHoldMessagestring | nullrequired
titlestring | nullrequired
departmentstring | nullrequired
locationstring | nullrequired
employingEntitystring | nullrequired
stateOrCitystring | nullrequired
countryCodestring | nullrequired
startDatestring | nullrequired

Allowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$

endDatestring | nullrequired

Allowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$

workAuthorizationExpiryDatestring | nullrequired

Allowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$

hasPendingTerminationbooleanrequired
hasScheduledTerminationbooleanrequired
roleInOrgobjectrequired
Show child attributes
roleInOrgIDstringrequired
personIDstringrequired
orgIDstringrequired
rolestringrequired
employmentTypestring | nullrequired
statusstring | nullrequired
lifecycleStatusstring | nullrequired
isTerminatedbooleanrequired
workEmailstring | nullrequired
jobTitlestring | nullrequired
departmentstring | nullrequired
managerRoleInOrgIDstring | nullrequired
countryCodestring | nullrequired
countrystring | null
employeeInfoobject | nullrequired
Show child attributes
hrisEmployeeIdstringrequired
lilithEmployeeIdinteger | nullrequired
employmentServiceTypestring | nullrequired
phoneNumberstring | nullrequired
managerNamestring | nullrequired
managerEmailstring | nullrequired
jobDescriptionstring | nullrequired
isPropTraderbooleanrequired
contractorInfoobject | nullrequired
Show child attributes
hrisContractorIdstringrequired
lilithContractorEntityIdstring | nullrequired
contractorTypestring | nullrequired
entityNamestring | nullrequired
entityTypestringrequired
taxFormTypestring | nullrequired
invoiceFrequencystring | nullrequired
taxFormSubmittedbooleanrequired
employeeRecordobject | nullrequired
Show child attributes
employeeIDintegerrequired
titlestring | nullrequired
startDatestring | nullrequired

Allowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$

statusstring | nullrequired
employmentTypestring | nullrequired
departmentNamestring | nullrequired
countryNamestring | nullrequired
citystring | nullrequired
statestring | nullrequired
contractorEntityIDstring | nullrequired
contractorRecordobject | nullrequired
Show child attributes
contractorEntityIDstringrequired
namestringrequired
countryNamestring | nullrequired
kotaBenefitsStatusobject | nullrequired
Show child attributes
enrollmentStatusstringrequired
offboardingStatusstringrequired
hasKotaEmployeeIDbooleanrequired
benefitsBannerDismissedAtstring | nullrequired

Allowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$

countryHasQuotaBenefitsbooleanrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits